LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAxis Interface Reference

Allows easier access to the different subelements of an axis. More...

`import"XAxis.idl";`

Inheritance diagram for XAxis:

## Public Member Functions
com::sun::star::beans::XPropertySet | getAxisTitle ()
com::sun::star::beans::XPropertySet | getMajorGrid ()
com::sun::star::beans::XPropertySet | getMinorGrid ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Allows easier access to the different subelements of an axis.

Since
  OOo 3.4

## Member Function Documentation

## ◆ getAxisTitle()

com::sun::star::beans::XPropertySet getAxisTitle | ( |  | ) |

Returns
  the title of the axis. The returned object supports the properties described in service ChartTitle.

## ◆ getMajorGrid()

com::sun::star::beans::XPropertySet getMajorGrid | ( |  | ) |

Returns
  the properties of the major grid of the axis. The returned object supports service ChartGrid.

## ◆ getMinorGrid()

com::sun::star::beans::XPropertySet getMinorGrid | ( |  | ) |

Returns
  the properties of the minor grid of the axis. The returned object supports service ChartGrid.

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XAxis.idl